Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPushImageReader Class Reference

`#include <vtkPushImageReader.h>`

Inheritance diagram for vtkPushImageReader:

[legend]
Collaboration diagram for vtkPushImageReader:

[legend]
List of all members.

## Detailed Description

read image files, compatible with PushPipeline

Date:
  2002/07/31 17:21:51

Revision:
  1.2

vtkPushImageReader is a source object that reads Image files. It should be able to read most raw images

See also:
  vtkPushPipeline

Events:
  vtkCommand::EndOfDataEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (92%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkPushImageReader.h)`
  - .`cxx` (`/Hybrid/vtkPushImageReader.cxx)`

Tests:
  vtkPushImageReader (Tests)

Definition at line 52 of file vtkPushImageReader.h.

## Public Types
typedef vtkImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Push ()
void | Run ()
virtual int | GetCurrentSlice ()
virtual void | SetCurrentSlice (int)
virtual void | SetPushPipeline (vtkPushPipeline *)
virtual vtkPushPipeline * | GetPushPipeline ()
## Static Public Methods
vtkPushImageReader * | New ()
int | IsTypeOf (const char *type)
vtkPushImageReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPushImageReader ()
| ~vtkPushImageReader ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)
## Protected Attributes
vtkPushPipeline * | PushPipeline
int | CurrentSlice

## Member Typedef Documentation

typedef vtkImageReader2 vtkPushImageReader::Superclass

| Reimplemented from vtkImageReader2. Definition at line 56 of file vtkPushImageReader.h.

## Constructor & Destructor Documentation

vtkPushImageReader::vtkPushImageReader | ( |  | ) | `[protected]`

vtkPushImageReader::~vtkPushImageReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPushImageReader* vtkPushImageReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2.

virtual const char* vtkPushImageReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2.

int vtkPushImageReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

virtual int vtkPushImageReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

vtkPushImageReader* vtkPushImageReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2.

void vtkPushImageReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2.

virtual int vtkPushImageReader::GetCurrentSlice | ( |  | ) | `[virtual]`

| What is the current slice of this reader

virtual void vtkPushImageReader::SetCurrentSlice | ( | int |  | ) | `[virtual]`

| What is the current slice of this reader

void vtkPushImageReader::Push | ( |  | ) |

| Push data from this reader

void vtkPushImageReader::Run | ( |  | ) |

| Run the pipeline the reader is conected to until it is out of data

virtual void vtkPushImageReader::SetPushPipeline | ( | vtkPushPipeline * |  | ) | `[virtual]`

| Set the push pipeline for this reader

virtual vtkPushPipeline* vtkPushImageReader::GetPushPipeline | ( |  | ) | `[virtual]`

| Set the push pipeline for this reader

virtual void vtkPushImageReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

virtual void vtkPushImageReader::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

## Member Data Documentation

vtkPushPipeline* vtkPushImageReader::PushPipeline`[protected]`

| Definition at line 81 of file vtkPushImageReader.h.

int vtkPushImageReader::CurrentSlice`[protected]`

| Definition at line 83 of file vtkPushImageReader.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkPushImageReader.h